/* Base styles for smaller screens */
.apexloginBackground {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-position: center bottom;
}

.apexloginPaper {
    text-align: center;
    background-color: rgb(20 39 65 / 60%) !important;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 70px 4px !important;
    max-width: 350px;
    backdrop-filter: blur(10px);
}

.image-container {
    text-align: center;
    margin-bottom: 10px;
}

.image {
    background-image: url('https://apexcrmstorageaccountdev.blob.core.windows.net/media/Logos/MapShark.svg');
    background-size: 100% auto;
    background-repeat: no-repeat;
    height: 110px;
    width: 600px;
    min-width: 200px;
}

@media screen and (min-width: 3840px) {
    .apexloginPaper {
        transform: scale(1.6);
    }

    .image {
        height: 260px;
        min-width: 1000px;
    }
}

@media screen and (min-width: 2560px) and (max-width: 3840px) {
    .apexloginPaper {
        transform: scale(1.2);
    }

    .image {
        height: 150px;
        min-width: 380px;
    }
}

@media screen and (min-width: 768px) (max-width: 2560px) {
    .apexloginPaper {
        transform: scale(1);
    }

    .image {
        height: 150px;
        min-width: 380px;
    }
}


@media screen and (max-width: 768px) {
    .apexloginPaper {
        max-width: 90%;
        min-width: auto;
    }

    .image {
        height: 150px;
        min-width: 100px;
        max-width: 350px;
    }
}
